Package org.w3c.tidy

# Interface StreamIn

All Known Implementing Classes:
  `StreamInJavaImpl`

public interface StreamIn
Input Stream.

Version:
  $Revision: 587 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`END_OF_STREAM`
end of stream char.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurcol()`
Getter for `curcol`.
`int`
`getCurline()`
Getter for `curline`.
`boolean`
`isEndOfStream()`
Has end of stream been reached?
`int`
`readChar()`
Read a char.
`int`
`readCharFromStream()`
reads a char from the stream.
`void`
`setLexer(Lexer lexer)`
Setter for lexer instance (needed for error reporting).
`void`
`ungetChar(int c)`
Unget a char.

## Field Details

### END_OF_STREAM

static final int END_OF_STREAM
end of stream char.

See Also:
  - Constant Field Values

## Method Details

### getCurcol

int getCurcol()
Getter for `curcol`.

Returns:
  Returns the curcol.

### getCurline

int getCurline()
Getter for `curline`.

Returns:
  Returns the curline.

### readCharFromStream

int readCharFromStream()
reads a char from the stream.

Returns:
  char

### readChar

int readChar()
Read a char.

Returns:
  char

### ungetChar

void ungetChar(int c)
Unget a char.

Parameters:
  `c` - char

### isEndOfStream

boolean isEndOfStream()
Has end of stream been reached?

Returns:
  `true` if end of stream has been reached

### setLexer

void setLexer(Lexer lexer)
Setter for lexer instance (needed for error reporting).

Parameters:
  `lexer` - Lexer